// StarPlot - A program for interactively viewing 3D maps of stellar positions.
// Copyright (C) 2000  Kevin B. McCarty
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


#ifndef _CONVERT_H
#define _CONVERT_H

#ifdef __MWERKS__
/* stringstream (defined in <sstream>) is actually ANSI C++ standard,
 * but older compilers don't have it, and new compilers like Metrowerks
 * don't have strstream
 */
#include <sstream>
#else

// Damn g++ - I thought it was supposed to be ANSI-compliant.  Fake it:
#include <strstream>
class ostringstream : public ostrstream {
 private:
  char buffer[1000];
 public:
  inline ostringstream() : ostrstream(buffer, 1000) {  }
  inline const char * c_str() const { return buffer; }
} ;

#endif // #ifdef __MWERKS__ ... #else

using namespace std;

#include "../version.h"
#include "../classes/star.h"
#include "parse.h"

#ifndef DOCDIR
#define DOCDIR "/usr/local/share/doc/starplot"
#endif

#ifndef PROGNAME
#define PROGNAME "starconvert"
#endif

const double LY_PER_PC = 3.2616;

static const char *BADSTARNAME = "***error***";
static const Star BADSTAR = Star(BADSTARNAME);

#endif // #ifndef _CONVERT_H
